package com.psbc.cpsp.entity.constant;


/**
 * 公共响应码枚举类
 */
public class ResponseConstant {
    /**
     * 一级分类 技术类错误
     */
    public static final String TECHNOLOGICAL_ERROR = "X";
    /**
     * 一级分类 业务类错误
     */
    public static final String BUSINESS_ERROR = "Y";
    /**
     * 一级分类 第三方错误
     */
    public static final String THIRD_PARTY_ERROR = "Z";

    /**
     * 业务类错误 - 二级分类 密码与认证
     */
    public static final String PASSWORD_AUTHENTICATION = "PA";

    /**
     * 业务类错误 - 二级分类 数量与限额
     */
    public static final String AMOUNT_LIMITATION = "AL";

    /**
     * 业务类错误 - 二级分类 权限控制
     */
    public static final String AUTHORITY_CONTROL = "AC";

    /**
     * 业务类错误 - 二级分类 信息滥缺
     */
    public static final String DATA_CONTEXT = "DC";


    /**
     * 业务类错误 - 二级分类 内容非法
     */
    public static final String CONTENT_ERROR = "CE";

    /**
     * 业务类错误 - 二级分类 重复交易
     */
    public static final String DUPLICATE_TRANSACTION = "DT";

    /**
     * 业务类错误 - 二级分类 时间与期限
     */
    public static final String TIME = "TM";

    /**
     * 业务类错误 - 二级分类 风险控制
     */
    public static final String RISK_CONTROL = "RC";

    /**
     * 业务类错误 - 二级分类 内部管理
     */
    public static final String INTERNAL_MANAGEMENT = "IG";

    /**
     * 业务类错误 - 二级分类 产品管控
     */
    public static final String PRODUCT_SUPPORT = "PS";

    /**
     * 业务类错误 - 二级分类 账户限制
     */
    public static final String ACCOUNT_RESTRICTION = "AR";

    /**
     * 业务类错误 - 二级分类 业务逻辑
     */
    public static final String BUSINESS_LOGIC = "BL";

    /**
     * 技术类错误 - 二级分类 硬件错误
     */
    public static final String HARDWARE = "HW";

    /**
     * 技术类错误 - 二级分类 数据内容相关
     */
    public static final String TECHNOLOGICAL_DATA_CONTEXT = "DC";

    /**
     * 技术类错误 - 二级分类 I/O类读写相关
     */
    public static final String READ_AND_WRITE = "RW";

    /**
     * 技术类错误 - 二级分类 数据库相关
     */
    public static final String DATABASE_ERROR = "DB";

    /**
     * 技术类错误 - 二级分类 网络通讯
     */
    public static final String NETWORK_COMMUNICATION = "NC";

    /**
     * 技术类错误 - 二级分类 安全服务
     */
    public static final String SECURITY_SERVICE = "SS";

    /**
     * 技术类错误 - 二级分类 组件模块
     */
    public static final String COMPONENTS_MODULES = "CM";

    /**
     * 技术类错误 - 二级分类 流量控制
     */
    public static final String FLOW_CONTROL = "FC";

    /**
     * 技术类错误 - 二级分类 重复交易
     */
    public static final String TECHNOLOGICAL_DUPLICATE_TRANSACTION = "DT";

    /**
     * 技术类错误 - 二级分类 技术逻辑
     */
    public static final String TECHNICAL_LOGIC = "TL";

    /**
     * 技术类错误 - 二级分类 纯技术性错误
     */
    public static final String ABSOLUTE_TECHNIQUE = "AT";
}
